Get the specified Custom Access List associated with a Shield Zone
curl --request GET \
--url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/{id}import requests
url = "https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"description": "<string>",
"content": "<string>",
"checksum": "<string>",
"entryCount": 123,
"lastModified": "2023-11-07T05:31:56Z"
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"data": {
"id": 123,
"name": "<string>",
"description": "<string>",
"content": "<string>",
"checksum": "<string>",
"entryCount": 123,
"lastModified": "2023-11-07T05:31:56Z"
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Access Lists
Get the specified Custom Access List associated with a Shield Zone
GET
/
shield
/
shield-zone
/
{shieldZoneId}
/
access-lists
/
{id}
Get the specified Custom Access List associated with a Shield Zone
Path Parameters
The ID of the Custom Access List to retrieve.
The ID of the Shield Zone to which the Custom Access List belongs.
Last modified on June 26, 2026
Was this page helpful?
Update Access List Configuration for a Shield ZoneDelete the specified Custom Access List associated with a Shield Zone
⌘I